/* CSS Similar al general para los estilos de los márgenes y paddings */

/* ----------- ASCENDENTE (BOOTSTRAP-LIKE) ----------- */
/* Los estilos de este apartado se aplican desde el tamaño más pequeño al más grande. */

/* PHONE SIZE - EXTRA SMALL (XS) - Aplica en todos los tamaños */
@media screen {

    .m-t-xs-0 {
        margin-top: 0px !important;
    }

}

/* SMALL (SM) - Aplica desde SM hasta LG (incluido) */
@media screen and (min-width: 768px){

    .m-t-sm-20 {
        margin-top: 20px !important;
    }

    .m-t-sm-15 {
        margin-top: 15px !important;
    }

    .m-t-sm-10 {
        margin-top: 10px !important;
    }

    .m-t-sm-5 {
         margin-top: 5px !important;
     }

    .m-b-sm-15{
        margin-bottom: 15px !important;
    }

    .m-b-sm-10{
        margin-bottom: 10px !important;
    }

    .m-b-sm-5 {
        margin-bottom: 5px !important;
    }

    .m-b-sm-0 {
        margin-bottom: 0px !important;
    }

    .p-l-sm-15 {
        padding-left: 15px !important;
    }

    .p-r-sm-15 {
        padding-right: 15px !important;
    }
}

/* MEDIUM (MD) - Aplica desde MD hasta LG (incluido) */
@media screen and (min-width: 992px){
    .m-t-md-15 {
        margin-top: 15px !important;
    }

    .m-t-md-10 {
        margin-top: 10px !important;
    }

    .m-t-md-5 {
        margin-top: 5px !important;
    }

    .m-t-md-0 {
        margin-top: 0px !important;
    }

    .m-b-md-15{
        margin-bottom: 15px !important;
    }

    .m-b-md-10{
        margin-bottom: 10px !important;
    }

    .m-b-md-5 {
        margin-bottom: 5px !important;
    }

    .p-l-md-0 {
        padding-left: 0px !important;
    }

    .p-r-md-0 {
        padding-right: 0px !important;
    }

    .p-b-md-10 {
        padding-bottom: 10px !important;
    }

    .p-t-md-10 {
        padding-top: 10px !important;
    }

    .col-md-offset-right-6 {
        margin-right: 50%;
    }

}

/* LARGE (LG) - Aplica en LG */
@media screen and (min-width: 1200px){
    .m-t-lg-15 {
        margin-top: 15px !important;
    }

    .m-t-lg-10 {
        margin-top: 10px !important;
    }

    .m-t-lg-5 {
        margin-top: 5px !important;
    }

    .m-b-lg-15{
        margin-bottom: 15px !important;
    }

    .m-b-lg-10{
        margin-bottom: 10px !important;
    }

    .m-b-lg-5 {
        margin-bottom: 5px !important;
    }

    .col-lg-offset-right-0 {
        margin-right: 0;
    }
}

/* ----------- DESCENDENTE (INVERTED BOOTSTRAP-LIKE) ----------- */
/* Los estilos de este apartado se aplican desde el tamaño más grande al más pequeño. */

/* LARGE (LG) - Aplica en todos los tamaños */
@media screen {

    .i-m-t-lg-15{
        margin-top: 15px !important;
    }

    .i-m-t-lg-10{
        margin-top: 10px !important;
    }

    .i-m-t-lg-5 {
        margin-top: 5px !important;
    }

    .i-m-b-lg-15{
        margin-bottom: 15px !important;
    }

    .i-m-b-lg-10{
        margin-bottom: 10px !important;
    }

    .i-m-b-lg-5 {
        margin-bottom: 5px !important;
    }
}

/* MEDIUM (MD) - Aplica desde MD hasta XS (incluido) */
@media screen and (max-width: 1200px){
    .i-m-t-md-15{
        margin-top: 15px !important;
    }

    .i-m-t-md-10{
        margin-top: 10px !important;
    }

    .i-m-t-md-5{
        margin-top: 5px !important;
    }

    .i-m-b-md-15{
        margin-bottom: 15px !important;
    }

    .i-m-b-md-10{
        margin-bottom: 10px !important;
    }

    .i-m-b-md-5 {
        margin-bottom: 5px !important;
    }
}

/* SMALL (SM) - Aplica desde SM hasta XS (incluido) */
@media screen and (max-width: 992px){
    .i-m-t-sm-15{
        margin-top: 15px !important;
    }

    .i-m-t-sm-10{
        margin-top: 10px !important;
    }

    .i-m-t-sm-5{
        margin-top: 5px !important;
    }

    .i-m-b-sm-15{
        margin-bottom: 15px !important;
    }

    .i-m-b-sm-10{
        margin-bottom: 10px !important;
    }

    .i-m-b-sm-5 {
        margin-bottom: 5px !important;
    }
}

/* PHONE SIZE - EXTRA SMALL (XS) - Aplica en XS */
@media screen and (max-width: 768px){

    .i-m-t-xs-15{
        margin-top: 15px !important;
    }

    .i-m-t-xs-10{
        margin-top: 10px !important;
    }

    .i-m-t-xs-5{
        margin-top: 5px !important;
    }

    .i-m-b-xs-15{
        margin-bottom: 15px !important;
    }

    .i-m-b-xs-10{
        margin-bottom: 10px !important;
    }

    .i-m-b-xs-5 {
        margin-bottom: 5px !important;
    }

}

/* ------------------------------------------ CUSTOM ------------------------------------------ */

@media all and (max-width: 814px){

}